> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# lookupCastConversationSummary

Cast conversation summary

> **Group:** Agent APIs

Use this when you need: **Cast conversation summary**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.lookupCastConversationSummary({
  identifier: "example", // Cast identifier (It\&#39;s either a URL or a hash))
  // limit: 123, 
  // prompt: "example", 
});
console.log(res);
```

## Parameters

| Parameter    | Type     | Required | Description                                         |
| ------------ | -------- | :------: | --------------------------------------------------- |
| `identifier` | `string` |     ✅    | Cast identifier (It\&#39;s either a URL or a hash)) |
| `limit`      | `number` |     ❌    | -                                                   |
| `prompt`     | `string` |     ❌    | -                                                   |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.lookupCastConversationSummary({
    identifier: "example"
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [lookupCastConversationSummary](/reference/lookup-cast-conversation-summary)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [Cast conversation summary](/reference/lookup-cast-conversation-summary.md)
- [lookupCastConversation](/nodejs-sdk/cast-apis/lookupCastConversation.md)
- [SDK v1 to v2 migration guide](/reference/neynar-nodejs-sdk-v1-to-v2-migration-guide.md)
- [Conversation for a cast](/reference/lookup-cast-conversation.md)
- [By parent cast](/reference/fetch-casts-by-parent.md)
